Can only Install Late Night, then error says My version of the Sims 3 is not updateable. Help!

View previous topic View next topic Go down

Can only Install Late Night, then error says My version of the Sims 3 is not updateable. Help!

Post by barley_cat on Wed 06 Feb 2013, 14:02

I've installed my own store bought version of the sims 3, and intended to reinstall all my electronically BOUGHT games from EA as i now have a Mac. However, there is no such thing as Origin for mac as of yet so i can't even redownload the games I bought at £30 a pop!
So i've downloaded the expansions from here, installed Late night, that works, I can play with that.
Now I can't instal any of the newer expansions because it says My version of sims needs to be updated but its non updateable...

Please help!

I'm especially gutted I can't even play generations, one of my original purchases!!

barley_cat
Beginner
Beginner

Posts : 3
Points : 1971
Reputation : 0
Join date : 2012-07-25

View user profile

Back to top Go down

Re: Can only Install Late Night, then error says My version of the Sims 3 is not updateable. Help!

Post by Algester on Mon 18 Mar 2013, 17:08

simple have you DLed the manual patches... I suggest you do that since thats the only fix you can do at this point

Algester
Beginner
Beginner

Posts : 14
Points : 1814
Reputation : 3
Join date : 2013-01-12

View user profile

Back to top Go down

View previous topic View next topic Back to top


Permissions in this forum:
You cannot reply to topics in this forum